export default [    
    //数字化交付相关
    {
        path: '/projgroup',
        name: '数字化交付相关',
        disabled: true,
    },
    // 项目化配置
    {
        path: '/proj',
        name: '项目基础设置',
        icon: 'el-icon-fa-bank',
        children: [           
            {
                path: '/proj/collectsetting',
                name: '项目需采集的信息点',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }, 
            // {
            //     path: '/proj/custominfo',
            //     name: '自定义信息点',
            //     icon: 'el-icon-fa-user',
            //     opts: [
            //         {
            //             name: '查看',
            //             basic: true,
            //             permission: 'system:role:query'
            //         }
            //     ]
            // }, 
            {
                path: '/proj/floorinfo',
                name: '楼层信息管理',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            },
            {
                path: '/floor/appuser',
                name: '扫楼App用户管理',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }
        ]
    },
    // 模型管理
    {
        path: '/model',
        name: '模型管理',
        icon: 'el-icon-fa-bank',
        children: [
            {
                path: '/model/file',
                name: '模型文件管理',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }, {
                path: '/model/noentity',
                name: '未实体化模型清单',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }, {
                path: '/model/beforemodel',
                name: '待建模清单',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }, {
                path: '/model/modelrule',
                name: '拓扑检查',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }, {
                path: '/model/beacon',
                name: '信标清单',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }
        ]
    },
        // 系统集成
        {
            path: '/point',
            name: '系统集成',
            icon: 'el-icon-fa-bank',
            children: [
                {
                    path: '/point/pointsetting',
                    name: '点位表配置工具',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }, {
                    path: '/point/dynamicdata',
                    name: '动态数据关联',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }
            ]
        },
    //扫楼作业
    {
        path: '/floor',
        name: '扫楼作业',
        icon: 'el-icon-fa-bank',
        children: [
            {
                path: '/floor/data',
                name: '扫楼数据管理',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            },
            {
                path: '/floor/plan',
                name: '楼层平面图管理',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            },
            {
                path: '/floor/abnormalprop',
                name: '异常资产清单',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            },
            {
                path: '/floor/log',
                name: '扫楼日志查看',
                icon: 'el-icon-fa-user',
                opts: [
                    {
                        name: '查看',
                        basic: true,
                        permission: 'system:role:query'
                    }
                ]
            }
        ]
    },
        //台账管理
        {
            path: '/ledger',
            name: '台账管理',
            icon: 'el-icon-fa-bank',
            children: [
                {
                    path: '/ledger/facility',
                    name: '设备清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                },
                {
                    path: '/ledger/property',
                    name: '资产清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                },
                {
                    path: '/ledger/cenotelist',
                    name: '竖井清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                },
                {
                    path: '/ledger/dimension',
                    name: '元空间管理',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }, 
                {
                    path: '/ledger/rubbish',
                    name: '垃圾数据检查',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }, 
                {
                    path: '/ledger/updowncheck',
                    name: '上下级关系检查',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }                
                
            ]
        },
    //业务相关
    {
        path: '/busgroup',
        name: '业务相关',
        disabled: true,
    },
        //业务空间管理
        {
            path: '/business',
            name: '业务空间管理',
            icon: 'el-icon-fa-bank',
            children: [
                {
                    path: '/business/spacelist',
                    name: '业务空间清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                },
            ]
        },
        //租户管理
        {
            path: '/rent',
            name: '租户管理',
            icon: 'el-icon-fa-bank',
            children: [
                {
                    path: '/rent/rentlist',
                    name: '租户清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                }
            ]
        },
        //系统管理
        {
            path: '/system',
            name: '系统管理',
            icon: 'el-icon-fa-bank',
            children: [
                {
                    path: '/system/list',
                    name: '系统清单',
                    icon: 'el-icon-fa-user',
                    opts: [
                        {
                            name: '查看',
                            basic: true,
                            permission: 'system:role:query'
                        }
                    ]
                },
            ]
        },
   
]
